Better, central default for MediaWiki:Edithelppage
Closed, ResolvedPublic

Description

The current default for the "editing help" link after the submit buttons in edit window is a local "Help:Editing" page. It should instead point to [[mw:Help:Editing pages]] by default (I can make the page translatable as soon as this is done).

The link is often red on new wikis, or replaced by placeholders (like en.wiki's cheatsheet superseded by WikiEditor's help), which led to its removal via [[Extension:Vector#FooterCleanup]] (where enabled).
Making the default link useful will allow to split the edithelp disabling out of FooterCleanup and to make the rest default (or at least core).


Version: 1.21.x
Severity: enhancement
URL: https://www.mediawiki.org/wiki/Extension:Vector#FooterCleanup

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz45977.
Nemo_bis created this task.Via LegacyMar 11 2013, 5:54 AM
Peachey88 added a comment.Via ConduitMar 11 2013, 5:58 AM

It would be nice where possible Default links shouldn't point outside the install. (To provide a consistent base environment - some of us are known to run it in closed off environments)

Nemo_bis added a comment.Via ConduitMar 11 2013, 6:08 AM

Do you mean people accessing intranet instances of MediaWiki without access to the internet/WWW? Sounds like a negligible edge case, in all the others the link would work.

Wikis in need of a "consistent base environment", i.e. (I guess) a local page with wiki-specific stuff, can change the default.

matmarex added a comment.Via ConduitMar 21 2013, 10:41 PM

Bumping priority. We just had a guy on #mediawiki complaining that their "Help:Editing" page is empty and that it's silly.

matmarex added a comment.Via ConduitMay 5 2013, 1:02 PM

I submitted Ic0469c6c to change the default to the mw.org page. This will likely require customizing the local pages on many WMF wikis - is anybody willing to look into that?

Bawolff added a comment.Via ConduitJun 18 2013, 4:47 PM

For reference, here is a list of wikis that have not customized this message (as of june 18): https://toolserver.org/~bawolff/noEditHelpPage.txt

I sent an email to wiktech-ambassadors. Not sure if that is sufficient.

tomasz added a comment.Via ConduitJun 20 2013, 1:13 AM

We will include this information in the next issue of [[m:Tech/News]], which has around ~150 subscribers and a couple of village pumps on its global delivery lis — this should be just enough.

Add Comment